<?php declare(strict_types=1);

namespace Infomaker\ProjectPlugin;

use Infomaker\Everyware\Support\Str;
use Infomaker\ProjectPlugin\Interfaces\PluginConfigInterface;

class Config implements PluginConfigInterface
{
    protected $name;
    protected $slug;
    protected $path;

    public function __construct()
    {
        $this->name = env('APP_ORGANISATION', 'Everyware Project Plugin');
        $this->slug = 'everyware-project-plugin';
        $this->path = $this->slug;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function getSlug(): string
    {
        return $this->slug;
    }

    public function getPath(string $file = null): string
    {
        return $file ? Str::append($file, $this->path, '/') : $this->path;
    }
}
