<?php declare(strict_types=1);

namespace Infomaker\ProjectPlugin\Models;

use Infomaker\Everyware\Support\Storage\CollectionModel;

class SettingsParameter extends CollectionModel
{
    protected $option_name = 'everyware_settings_parameters';

    protected $fields = [
        'key'   => '',
        'value' => '',
        'type'  => 'string',
    ];

    /**
     * Get settings parameter value
     *
     * @param $key
     *
     * @return string|null
     */
    public static function getValue($key)
    {
        $model = static::collection()->all()->where('key', $key)->first();

        return $model['value'] ?? null;
    }
}
